package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_REMANENCE_RESULT_D所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2021-04-22
 */
@SuppressWarnings("serial")
public class MchRemanenceResultDEntity implements java.io.Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 检测序号
     */
    private String seq = "";
    /**
     * 测量时间
     */
    private String measurement = "";
    /**
     * 管号
     */
    private String matNo = "";
    /**
     * A端0°值
     */
    private String measurementValueA0 = "";
    /**
     * A端90°值
     */
    private String measurementValueA90 = "";
    /**
     * A端180°值
     */
    private String measurementValueA180 = "";
    /**
     * A端270°值
     */
    private String measurementValueA270 = "";
    /**
     * A端平均值
     */
    private String measurementValueAavg = "";
    /**
     * B端0°值
     */
    private String measurementValueB0 = "";
    /**
     * B端90°值
     */
    private String measurementValueB90 = "";
    /**
     * B端180°值
     */
    private String measurementValueB180 = "";
    /**
     * B端270°值
     */
    private String measurementValueB270 = "";
    /**
     * B端平均值
     */
    private String measurementValueBavg = "";

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 检测序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 检测序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 测量时间
     * @return value
     */
    public String getMeasurement() {
        return measurement;
    }

    /**
     * 测量时间
     * @param measurement value
     */
    public void setMeasurement(String measurement) {
        this.measurement = measurement;
    }

    /**
     * 管号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 管号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * A端0°值
     * @return value
     */
    public String getMeasurementValueA0() {
        return measurementValueA0;
    }

    /**
     * A端0°值
     * @param measurementValueA0 value
     */
    public void setMeasurementValueA0(String measurementValueA0) {
        this.measurementValueA0 = measurementValueA0;
    }

    /**
     * A端90°值
     * @return value
     */
    public String getMeasurementValueA90() {
        return measurementValueA90;
    }

    /**
     * A端90°值
     * @param measurementValueA90 value
     */
    public void setMeasurementValueA90(String measurementValueA90) {
        this.measurementValueA90 = measurementValueA90;
    }

    /**
     * A端180°值
     * @return value
     */
    public String getMeasurementValueA180() {
        return measurementValueA180;
    }

    /**
     * A端180°值
     * @param measurementValueA180 value
     */
    public void setMeasurementValueA180(String measurementValueA180) {
        this.measurementValueA180 = measurementValueA180;
    }

    /**
     * A端270°值
     * @return value
     */
    public String getMeasurementValueA270() {
        return measurementValueA270;
    }

    /**
     * A端270°值
     * @param measurementValueA270 value
     */
    public void setMeasurementValueA270(String measurementValueA270) {
        this.measurementValueA270 = measurementValueA270;
    }

    /**
     * A端平均值
     * @return value
     */
    public String getMeasurementValueAavg() {
        return measurementValueAavg;
    }

    /**
     * A端平均值
     * @param measurementValueAavg value
     */
    public void setMeasurementValueAavg(String measurementValueAavg) {
        this.measurementValueAavg = measurementValueAavg;
    }

    /**
     * B端0°值
     * @return value
     */
    public String getMeasurementValueB0() {
        return measurementValueB0;
    }

    /**
     * B端0°值
     * @param measurementValueB0 value
     */
    public void setMeasurementValueB0(String measurementValueB0) {
        this.measurementValueB0 = measurementValueB0;
    }

    /**
     * B端90°值
     * @return value
     */
    public String getMeasurementValueB90() {
        return measurementValueB90;
    }

    /**
     * B端90°值
     * @param measurementValueB90 value
     */
    public void setMeasurementValueB90(String measurementValueB90) {
        this.measurementValueB90 = measurementValueB90;
    }

    /**
     * B端180°值
     * @return value
     */
    public String getMeasurementValueB180() {
        return measurementValueB180;
    }

    /**
     * B端180°值
     * @param measurementValueB180 value
     */
    public void setMeasurementValueB180(String measurementValueB180) {
        this.measurementValueB180 = measurementValueB180;
    }

    /**
     * B端270°值
     * @return value
     */
    public String getMeasurementValueB270() {
        return measurementValueB270;
    }

    /**
     * B端270°值
     * @param measurementValueB270 value
     */
    public void setMeasurementValueB270(String measurementValueB270) {
        this.measurementValueB270 = measurementValueB270;
    }

    /**
     * B端平均值
     * @return value
     */
    public String getMeasurementValueBavg() {
        return measurementValueBavg;
    }

    /**
     * B端平均值
     * @param measurementValueBavg value
     */
    public void setMeasurementValueBavg(String measurementValueBavg) {
        this.measurementValueBavg = measurementValueBavg;
    }
}